Description

It'd be nice if there was a choice for creating strict URLs that are separated based on project. i.e. The URL to this page is:

http://www.redmine.org/projects/redmine/issues/new

But then when it's created the URL for the ticket is

http://www.redmine.org/issues/XXXX

If everything related to the project lived under:

http://www.example.org/projects/PROJECT/COMPONENT/OTHERDATA

it would be optimal for people restricting projects based on LDAP groups since Apache and Lighttpd could be configured for that.

History

#1 - 2009-04-30 00:51 - Doug Goldstein

I'm looking now and I notice the activities page on my own site is http://www.example.org/projects/activities/PROJECT but on your site it's 

http://www.example.org/projects/PROJECT/activities and a few other pages match this. So it's possible you guys are already working on this for 0.9.x

#2 - 2009-05-12 19:28 - Jean-Philippe Lang

Some URL refactoring was done in trunk but the tickets URL won't include the project identifier.

#3 - 2010-06-28 21:08 - Doug Goldstein

- Status changed from New to Resolved

This work was completed for the 0.9.x series.

#4 - 2010-08-05 22:19 - Felix Schäfer

- Status changed from Resolved to Closed

Closing as I don't think we will ever have a pattern where everything belonging to a project will be under that project. The reason mentioned is access

control, that should be solved by a custom authentication plugin.
